## go-md2man-v2 2.0.0%2Bds

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d+\.\S*)\.tar\.gz/go-md2man-v2-$1\.tar\.gz/,\
dversionmangle=s/\+ds\d*$//,repack,repacksuffix=+ds,compression=xz \
  https://github.com/cpuguy83/go-md2man/tags .*/v?(\d+\.\S*)\.tar\.gz

## go-md2man-v2 2.0.7

=== Makefile ===
GO111MODULE ?= on

export GO111MODULE

GOOS ?= $(if $(TARGETOS),$(TARGETOS),)
GOARCH ?= $(if $(TARGETARCH),$(TARGETARCH),)

ifeq ($(TARGETARCH),amd64)
GOAMD64 ?= $(TARGETVARIANT)
endif

ifeq ($(TARGETARCH),arm)
GOARM ?= $(TARGETVARIANT:v%=%)
endif

ifneq ($(GOOS),)
export GOOS
endif

ifneq ($(GOARCH),)
export GOARCH
endif

ifneq ($(GOAMD64),)
export GOAMD64
endif

ifneq ($(GOARM),)
export GOARM
endif

.PHONY:
build: bin/go-md2man

.PHONY: clean
clean:
	@rm -rf bin/*

.PHONY: test
test:
	@go test $(TEST_FLAGS) ./...

bin/go-md2man: go.mod go.sum md2man/* *.go
	@mkdir -p bin
	CGO_ENABLED=0 go build $(BUILD_FLAGS) -o $@

.PHONY: mod
mod:
	@go mod tidy

## go-md2man-v2 2.0.0+ds

=== debian/changelog ===
go-md2man-v2 (2.0.0+ds-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Take over go-md2man
    And go-md2man has Multi-Arch: foreign already (Closes: 919454)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 27 Oct 2020 12:39:40 +0800

go-md2man-v2 (2.0.0+ds-4) experimental; urgency=medium

  * Team upload.
  * Rename the go-md2man package name.
    The binary package go-md2man doesn't need a v2 suffix. It can replace
    the old go-md2man built from src:go-md2man.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 23:39:47 +0800

go-md2man-v2 (2.0.0+ds-3) unstable; urgency=medium

  * Team upload.
  * Move the Go-Import-Path to github.com/cpuguy83/go-md2man/v2.
    So the -dev package can co-install with v1.
    The Conflicts on -dev causes golang-github-spf13-cobra and
    golang-github-urfave-cli failed to migrate to testing.
  * Add Rules-Requires-Root
  * Fix Vcs URL to v2 repo

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 24 Oct 2020 23:02:52 +0800

go-md2man-v2 (2.0.0+ds-2) unstable; urgency=medium

  * Team upload.
  * sourceful upload for migration to testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 02 Oct 2020 15:53:12 +0800

go-md2man-v2 (2.0.0+ds-1) unstable; urgency=medium

  * Team upload.
  * update package name to go-md2man-v2 and conflict with v1 dev
    package.
    Executable package Conflicts and Replaces v1.
  * New upstream release (first v2 release)
  * Depends: golang-github-russross-blackfriday-v2-dev (>= 2.0.1~)
  * Conflicts: golang-github-cpuguy83-go-md2man-dev
  * Standards-Version: 4.5.0
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Sep 2020 13:16:12 +0800

go-md2man (1.0.10+ds-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Apply "cme fix dpkg" fixes:
    - Update debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
    - Bump Standards-Version to 4.4.0 (no change)
  * Replace override_dh_auto_clean with debian/clean
  * Update versioned dependency on golang-github-russross-blackfriday-dev
    to (>= 1.5.2~) according to go.mod

 -- Anthony Fok <foka@debian.org>  Sun, 11 Aug 2019 01:34:58 -0600

go-md2man (1.0.8+ds-1) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Remove Built-Using from arch:all -dev package

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream release.
  * Apply "cme fix dpkg" to debian/control,
    bumping Standards-Version to 4.1.4,
    setting Priority to optional,
    adding Testsuite: autopkgtest-pkg-go, etc.

 -- Anthony Fok <foka@debian.org>  Tue, 10 Apr 2018 05:15:47 -0600

go-md2man (1.0.6+git20170603.6.23709d0+ds-1) unstable; urgency=medium

  [ Riku Voipio ]
  * Increase required version to avoid FTBFS in backports

  [ Anthony Fok ]
  * New upstream snapshot.
  * Bump Standards-Version to 4.0.0:
    Use https form of the copyright-format URL in debian/copyright.
  * Use debhelper (>= 10).

 -- Anthony Fok <foka@debian.org>  Sun, 09 Jul 2017 09:29:03 -0600

go-md2man (1.0.6+ds-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Exclude vendored-in dependencies that were added in 1.0.6
  * Remove now unused Lintian override of statically-linked-binary
    usr/bin/go-md2man

 -- Anthony Fok <foka@debian.org>  Mon, 02 Jan 2017 18:00:44 -0700

go-md2man (1.0.5-2) unstable; urgency=medium

  * Update debian/control
    - Change architecture-specific golang-go and gccgo to the new
      "golang-any" package in Build-Depends
    - Bump Standards-Version to 3.9.8 (no change)
    - Use secure https URLs for Vcs-* fields

 -- Anthony Fok <foka@debian.org>  Thu, 09 Jun 2016 06:20:43 -0600

go-md2man (1.0.5-1) unstable; urgency=medium

  * Update to 1.0.5 upstream release, with improved man page rendering:
     - Disable hyphenation
     - Disable justification (adjust text to left margin only)
     - Fix output for bulleted lists and numbered lists
     - Escape initial apostrophe and period to prevent a line of text
       from being misinterpreted as a request/macro, leading to
       "warning: macro 'xxx' not defined" and missing text.
  * Use architecture instead of alternatives in Build-Depends because
    sbuild ignores alternatives in Build-Depends (Closes: #785649).
  * Remove Depends: golang-go from -dev package so it can be used by
    other Go packages on gccgo-only platforms.
  * Revise debian/watch to skip upstream v1.tar.gz, which for some reasons
    the current uscan thinks is the latest... :-p
  * Add Lintian override for statically-linked-binary
  * Add myself to the list of Uploaders

 -- Anthony Fok <foka@debian.org>  Wed, 13 Jan 2016 16:30:40 -0700

go-md2man (1.0.4-3) unstable; urgency=medium

  * Allow gccgo to satisfy our "go" needs (Closes: #785649).

 -- Tianon Gravi <tianon@debian.org>  Thu, 15 Oct 2015 13:00:34 -0700

go-md2man (1.0.4-2) unstable; urgency=medium

  * Update to 1.0.4 upstream release (Closes: #798585).
  * Rename "golang-go-md2man-dev" to "golang-github-cpuguy83-go-md2man-dev" for
    pkg-go policy compliance.
  * Add Conflicts/Provides/Replaces (doh!).

 -- Tianon Gravi <tianon@debian.org>  Thu, 10 Sep 2015 20:25:34 -0700

go-md2man (1.0.3-1) unstable; urgency=medium

  * Update to 1.0.3 upstream release.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 29 Jul 2015 23:46:50 -0600

go-md2man (1.0.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Tianon Gravi <admwiggin@gmail.com>  Sat, 02 May 2015 18:49:13 -0600

go-md2man (1.0.2-1~exp1) experimental; urgency=low

  * Update to 1.0.2 upstream release.
    - Add manpage (Closes: #760486)
    - Fix header parsing
    - Fix code block output
  * Fix minor Description capitalization error.
  * Update Standards-Version to 3.9.6.

 -- Tianon Gravi <admwiggin@gmail.com>  Wed, 28 Jan 2015 23:24:14 -0700

go-md2man (1-2) unstable; urgency=medium

  * Team Upload.
  * Update md2man's description. Thanks, Luke!

 -- Paul Tagliamonte <paultag@debian.org>  Sun, 24 Aug 2014 20:53:41 -0400



=== debian/control ===
Source: go-md2man-v2
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tianon Gravi <tianon@debian.org>,
           Anthony Fok <foka@debian.org>
Section: doc
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang (>= 1.18~),
               golang-any,
               golang-github-russross-blackfriday-v2-dev (>= 2.0.1~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/go-md2man-v2
Vcs-Git: https://salsa.debian.org/go-team/packages/go-md2man-v2.git
Homepage: https://github.com/cpuguy83/go-md2man
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/cpuguy83/go-md2man/v2

Package: go-md2man
Architecture: linux-any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: go-md2man-v2
Built-Using: ${misc:Built-Using}
Description: utility to create manpages from markdown
 Turns Markdown into manpages, which is really handy for people
 that don't want to learn how to make manpages from stuff like DocBook.
 .
 This package contains the conversion binary for go-md2man version 2.

Package: golang-github-cpuguy83-go-md2man-v2-dev
Architecture: all
Section: devel
Depends: golang-github-russross-blackfriday-v2-dev (>= 2.0.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: utility to create manpages from markdown (source)
 Turns Markdown into manpages, which is really handy for people
 that don't want to learn how to make manpages from stuff like DocBook.
 .
 This package contains the source for go-md2man version 2.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	mv _build/bin/v2 _build/bin/go-md2man
	_build/bin/go-md2man -in go-md2man.1.md -out go-md2man.1

## go-md2man-v2 2.0.1%2Bds1

=== debian/changelog ===
go-md2man-v2 (2.0.1+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.1+ds1
  * Update debian/watch to version=4 and to use repacksuffix=+ds1
  * Set source package Section to golang, set go-md2man binary package
    Section to doc, and let golang-github-cpuguy83-go-md2man-v2-dev library
    package inherit Section setting from source package.
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Bump Standards-Version to 4.6.0 (no change)
  * Change go-md2man binary package Architecture from "linux-any" to "any"
  * Mark library package with "Multi-Arch: foreign"
  * Bump dependency on golang-github-russross-blackfriday-v2-dev to (>= 2.1.0)
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Wed, 29 Dec 2021 19:55:48 -0700

## go-md2man-v2 2.0.1+ds1

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: go-md2man-v2
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Anthony Fok <foka@debian.org>
-Section: doc
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-golang,
+               golang-any,
+               golang-github-russross-blackfriday-v2-dev (>= 2.1.0)
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-golang (>= 1.18~),
-               golang-any,
-               golang-github-russross-blackfriday-v2-dev (>= 2.0.1~)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/go-md2man-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/go-md2man-v2.git
 Homepage: https://github.com/cpuguy83/go-md2man
-Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/cpuguy83/go-md2man/v2
 
 Package: go-md2man
-Architecture: linux-any
+Section: doc
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -31,8 +32,8 @@
 
 Package: golang-github-cpuguy83-go-md2man-v2-dev
 Architecture: all
-Section: devel
-Depends: golang-github-russross-blackfriday-v2-dev (>= 2.0.1~),
+Multi-Arch: foreign
+Depends: golang-github-russross-blackfriday-v2-dev (>= 2.1.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: utility to create manpages from markdown (source)

## go-md2man-v2 2.0.2+ds1

=== debian/changelog ===
go-md2man-v2 (2.0.2+ds1-1ubuntu0.23.10.1) mantic-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 22 Jan 2024 10:32:08 +0530

go-md2man-v2 (2.0.2+ds1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:14:24 +1200

go-md2man-v2 (2.0.2+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.2+ds1
  * Replace Built-Using with Static-Built-Using in debian/control
  * Bump Standards-Version to 4.6.1 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 05 Jun 2022 07:39:19 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: go-md2man-v2
 Section: golang
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no
@@ -10,7 +11,7 @@
                golang-any,
                golang-github-russross-blackfriday-v2-dev (>= 2.1.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/go-md2man-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/go-md2man-v2.git
 Homepage: https://github.com/cpuguy83/go-md2man
@@ -23,7 +24,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Conflicts: go-md2man-v2
-Built-Using: ${misc:Built-Using}
+Static-Built-Using: ${misc:Static-Built-Using}
 Description: utility to create manpages from markdown
  Turns Markdown into manpages, which is really handy for people
  that don't want to learn how to make manpages from stuff like DocBook.

## go-md2man-v2 2.0.3+ds1

=== debian/changelog ===
go-md2man-v2 (2.0.3+ds1-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 19 Jun 2025 15:54:34 +1000

go-md2man-v2 (2.0.3+ds1-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 13:19:02 +0530

go-md2man-v2 (2.0.3+ds1-1) unstable; urgency=medium

  * New upstream version 2.0.3+ds1
  * Drop -dev package’s unneeded dependency on ${shlibs:Depends}
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Mon, 23 Oct 2023 04:42:49 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                golang-any,
                golang-github-russross-blackfriday-v2-dev (>= 2.1.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/go-md2man-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/go-md2man-v2.git
 Homepage: https://github.com/cpuguy83/go-md2man
@@ -35,8 +35,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: golang-github-russross-blackfriday-v2-dev (>= 2.1.0),
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Description: utility to create manpages from markdown (source)
  Turns Markdown into manpages, which is really handy for people
  that don't want to learn how to make manpages from stuff like DocBook.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/, \
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/cpuguy83/go-md2man/tags .*/v?(\d\S*)\.tar\.gz debian

## go-md2man-v2 2.0.4

=== debian/changelog ===
go-md2man-v2 (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
    - Remove vendor dir which is unused
    - Prepend table preprocessor
      which, together with "Silence "warning: cannot select font 'C'"
      with GNU roff 1.23" fixed in v2.0.3, Closes: #1049968
  * Remove now unused "Files-Excluded: vendor" from debian/copyright

 -- Anthony Fok <foka@debian.org>  Tue, 26 Mar 2024 17:26:08 -0600

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: go-md2man-v2
 Section: golang
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Tianon Gravi <tianon@debian.org>,
            Anthony Fok <foka@debian.org>
 Rules-Requires-Root: no

## go-md2man-v2 2.0.7

=== debian/changelog ===
go-md2man-v2 (2.0.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.0.7
  * Add upstream metadata
  * Disable use of pristine-tar
  * Update debian/watch to v5
  * Update Standards-Version to 4.7.2, no changes needed
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 26 Sep 2025 18:49:15 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                golang-any,
                golang-github-russross-blackfriday-v2-dev (>= 2.1.0)
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/go-md2man-v2
 Vcs-Git: https://salsa.debian.org/go-team/packages/go-md2man-v2.git
 Homepage: https://github.com/cpuguy83/go-md2man

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_build:
	mv _build/bin/v2 _build/bin/go-md2man
	_build/bin/go-md2man -in go-md2man.1.md -out go-md2man.1

=== debian/watch ===
Version: 5

Template: Github
Owner: cpuguy83
Project: go-md2man
